package com.nifty.cloud.ncs.encrypt;

/**
 * 暗号化で使用する定数を定義するクラスです。
 */
public class EncryptionConstants
{
	/** 暗号化アルゴリズム */
	public static String SYMMETRIC_KEY_ALGORITHM_AES 	= "AES";

	/** 暗号化アルゴリズム/暗号化モード/パディング方式 */
	public static String SYMMETRIC_CIPHER_METHOD 		= "AES/CBC/PKCS5Padding";

	/** 対称鍵生成時の鍵長[bit] */
	public static int SYMMETRIC_KEY_LENGTH_256 			= 256;

	/** 暗号化ブロックサイズ */
	public static int SYMMETRIC_CIPHER_BLOCK_SIZE 		= 16;

	/** Instructionファイルの接尾辞 */
	public static final String INSTRUCTION_SUFFIX = ".instruction";

}
